# views simple map
(doc) ->
   emit "a",  doc.a
   emit "b",  doc.a

# views simple reduce
# keys = [[key1,docid1],..] when rereduce,else null
(keys, values, rereduce) ->
  sum(values)

# views count_sum map
(doc) ->
  emit doc.date, [1,doc.count]

# views count_sum reduce
(keys, values, rereduce) ->
  log values
  s1 = 0
  s2 = 0
  for v in values
    s1 = s1 + v[0]
    s2 = s2 + v[1]
  [s1,s2]

# views first_of_group map
(doc) ->
  emit doc.date, doc.count

# views first_of_group reduce
(keys, values, rereduce) ->
  values[0]

# views perf map
(doc) ->
  emit null, 1

# views perf reduce
(keys, values, rereduce) ->
  sum(values)
