class Tatami::Couch::App

  def attachments file_path
    Dir.chdir file_path do
      Dir["**/*.*"].each_with_object({}) do |path,o|
        ext = File.extname(path)[1..-1]
        base64 = [IO.read(path)].pack('m')
        o[path] = {
          "content_type" => content_type(ext),
          "data" => base64
        }
      end
    end
  end

  def content_type ext
    subtype = ext.sub(/^js$/, 'javascript')
    "text/#{subtype}"
  end
end